[Haskell-cafe] Installing FreeGLUT

Paul L ninegua at gmail.com
Thu Aug 2 10:43:33 EDT 2007

GHC as of now won't be able to recognize your change to the dynamic
libraries on the fly. So if you want to use new features, you'll have
to compile GLUT package for GHC freshly on top of your new freeglut.
Get the GLUT source from hackage.haskell.org and do the cabal
installation. GHC will then be able to recognize the freeglut, at
least confirmed by experiments on my Linux box a few days ago.

Paul L

On 8/1/07, Ronald Guida <ronguida at mindspring.com> wrote:
> Hi,
> I am trying to use freeglut with GHCi 6.6.1, and I'm stuck.  I
> downloaded freeglut 2.4.0 and compiled it.  I am on a Windows XP
> machine, and I found that freeglut compiled "out of the box" in MS
> Visual Studio.Net 2003.
> My difficulty is that GHCi is finding GLUT 2.2.1 and not freeglut.  How
> do I get GHC and GHCi to recognize and use freeglut instead?
> Note: I'm using Windows XP; an upgrade to Linux is not an option.
> Thank you
> -- Ron
> _______________________________________________
> Haskell-Cafe mailing list
> Haskell-Cafe at haskell.org
> http://www.haskell.org/mailman/listinfo/haskell-cafe

More information about the Haskell-Cafe mailing list